# Hey Germany

Hey Germany is a platform that helps immigrants find job opportunities in Germany.

## Requirements

- **Node.js 18**

## Setup

To get started, run:

```bash
yarn install
yarn prebuild
```

Local SQLite defaults are defined in [packages/functions/src/local-db.ts](/Users/yasser/git/heygermany/packages/functions/src/local-db.ts:1).

## Apps

### `apps/cli`

This app tests the Pikku fetch functionality.

### `apps/webapp`

A Next.js App Router integrated with Pikku.

## Runtime

The backend runs through `pikku dev` locally and Fabric in production.

## Packages

### `functions`

Contains all the Pikku routes, functions, and services.

### `sdk`

Contains shared types used by both the backend and frontend.

## Database

SQLite migrations live in `db/sqlite`, preserved Postgres migrations live in `db/postgres`, and local migration runs should use `pikku db migrate`.

---

Feel free to explore each package and customize the starter to fit your project's needs. Happy coding!
